curl -X PATCH "https://api.hitler.app/api/organizations/org-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"preferences": {
"timezone": "Europe/London"
}
}'
{
"id": "org-uuid-123",
"name": "Acme Corporation",
"slug": "acme-corp",
"onboardingState": "complete",
"preferences": {
"timezone": "Europe/London",
"checkInTime": "09:00"
}
}
Organizations
Update Organization
Update organization settings
PATCH
/
api
/
organizations
/
{id}
curl -X PATCH "https://api.hitler.app/api/organizations/org-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"preferences": {
"timezone": "Europe/London"
}
}'
{
"id": "org-uuid-123",
"name": "Acme Corporation",
"slug": "acme-corp",
"onboardingState": "complete",
"preferences": {
"timezone": "Europe/London",
"checkInTime": "09:00"
}
}
This endpoint requires Admin role.
Path Parameters
string
required
Organization UUID
Request
string
New organization name
object
Organization preferences
Response
Returns the updated organization.curl -X PATCH "https://api.hitler.app/api/organizations/org-uuid-123" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"preferences": {
"timezone": "Europe/London"
}
}'
{
"id": "org-uuid-123",
"name": "Acme Corporation",
"slug": "acme-corp",
"onboardingState": "complete",
"preferences": {
"timezone": "Europe/London",
"checkInTime": "09:00"
}
}